//
//  MOShadowTableView.h
//  MOShadowTableView
//
//  Created by Jan Christiansen on 9/12/12.
//  Copyright (c) 2012, Monoid - Development and Consulting - Jan Christiansen
//
//  All rights reserved.
//
//  Redistribution and use in source and binary forms, with or without
//  modification, are permitted provided that the following conditions are met:
//
//  * Redistributions of source code must retain the above copyright
//  notice, this list of conditions and the following disclaimer.
//
//  * Redistributions in binary form must reproduce the above
//  copyright notice, this list of conditions and the following
//  disclaimer in the documentation and/or other materials provided
//  with the distribution.
//
//  * Neither the name of Monoid - Development and Consulting -
//  Jan Christiansen nor the names of other
//  contributors may be used to endorse or promote products derived
//  from this software without specific prior written permission.
//
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
//  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
//  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
//  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
//  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
//  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
//  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
//  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

#import <UIKit/UIKit.h>


/**
 * Table view with shadows in the bouncing area like the ones shown behind
 * the webview of safari
 */
@interface MOShadowTableView : UITableView


typedef NS_ENUM(NSUInteger, MOShadowPosition) {
    MOBackgroundOriginShadow = 1 << 0,
    MOBackgroundBottomShadow = 1 << 1,
    MOTableOriginShadow      = 1 << 2,
    MOTableBottomShadow      = 1 << 3
};


/**
 * Bit mask specifying Shadows added to the table view
 */
@property(assign, nonatomic) MOShadowPosition shadowPositions;


@property(assign, nonatomic) CGFloat backgroundOriginShadowHeight;

@property(assign, nonatomic) CGFloat backgroundBottomShadowHeight;

@property(assign, nonatomic) CGFloat tableOriginShadowHeight;

@property(assign, nonatomic) CGFloat tableBottomShadowHeight;


@property(assign, nonatomic) CGFloat backgroundOriginShadowAlpha;

@property(assign, nonatomic) CGFloat backgroundBottomShadowAlpha;

@property(assign, nonatomic) CGFloat tableOriginShadowAlpha;

@property(assign, nonatomic) CGFloat tableBottomShadowAlpha;


@end
